(*i camlp4deps: "parsing/grammar.cma" i*)

(*open Pp*)
open Names
open Libnames
open Prettyp
open Pcoq
open Topconstr
open Ffcpo

VERNAC ARGUMENT EXTEND ffcpo_binder
  [ "(" ne_ident_list(idl) ":" lconstr(c) ")" ] ->
    [ LocalRawAssum (List.map (fun id -> (Util.dummy_loc, Name id)) idl, Topconstr.default_binder_kind, c) ]
END

VERNAC ARGUMENT EXTEND ffcpo_definition
  [ ident(id) ffcpo_binder_list(binders) ":" lconstr(typ) ":=" lconstr(def) ] ->
    [ (id, binders, typ, def) ]
END

VERNAC COMMAND EXTEND Fcpo_Function
  [ "Fcpo" "Function" ffcpo_definition(d) ] -> [ fcpo_function d ]
END
